package domain


type AlibabaRetailMarketingItempoolSkuQueryPageInfoDTO struct {
    /*
        总数     */
    Total  *int64 `json:"total,omitempty" `

    /*
        总数页     */
    Pages  *int64 `json:"pages,omitempty" `

    /*
        页面大小     */
    PageSize  *int64 `json:"page_size,omitempty" `

    /*
        当前页数     */
    PageNum  *int64 `json:"page_num,omitempty" `

}

func (s *AlibabaRetailMarketingItempoolSkuQueryPageInfoDTO) SetTotal(v int64) *AlibabaRetailMarketingItempoolSkuQueryPageInfoDTO {
    s.Total = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolSkuQueryPageInfoDTO) SetPages(v int64) *AlibabaRetailMarketingItempoolSkuQueryPageInfoDTO {
    s.Pages = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolSkuQueryPageInfoDTO) SetPageSize(v int64) *AlibabaRetailMarketingItempoolSkuQueryPageInfoDTO {
    s.PageSize = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolSkuQueryPageInfoDTO) SetPageNum(v int64) *AlibabaRetailMarketingItempoolSkuQueryPageInfoDTO {
    s.PageNum = &v
    return s
}
